title: Matomo
tabs:
  main:
    display: Main
    sections:
      -
        fields:
          -
            handle: title
            field:
              type: text
              required: true
              localizable: false
              validate:
                - required
          -
            handle: author
            field:
              type: users
              display: Author
              default: current
              localizable: false
              max_items: 1
      -
        display: Banner
        fields:
          -
            import: banner
      -
        display: 'Page Content'
        fields:
          -
            handle: matomo_page_intro
            field:
              html: "<p>This page is used to allow affiliates to opt-out of Matomo. Design is however you'd like using the field below:</p>"
              type: html
              display: 'Matomo page intro'
              localizable: false
              listable: false
              hide_display: true
              visibility: computed
          -
            import: page_content
          -
            handle: matomo_optout
            field:
              html: '<h2>Matomo opt-out code included here.</h2>'
              type: html
              display: 'Matomo opt-out'
              localizable: false
              hide_display: true
      -
        display: 'Footer (optional)'
        instructions: 'Select a footer to overwrite the current global footer option'
        fields:
          -
            import: footer_overwrite
  sidebar:
    display: Sidebar
    sections:
      -
        fields:
          -
            handle: review_field
            field:
              type: review
              display: 'Review Field'
              localizable: false
          -
            handle: slug
            field:
              type: slug
              localizable: false
              validate: 'max:200'
          -
            handle: parent
            field:
              type: entries
              collections:
                - pages
              max_items: 1
              listable: false
              localizable: false
          -
            handle: date
            field:
              type: date
              required: true
              default: now
              localizable: false
              validate:
                - required
              time_enabled: true
          -
            handle: lock_field
            field:
              type: lock
              display: 'Lock Field'
              localizable: false
      -
        display: 'Page Customisation'
        fields:
          -
            handle: header_type
            field: header.header_type
            config:
              validate:
                - sometimes
                - required
              if: 'restrictRoles:super'
          -
            import: breadcrumbs
          -
            import: donate_button
          -
            import: search_settings
      -
        display: Tags
        fields:
          -
            import: tags
      -
        display: Display
        fields:
          -
            import: display_fields
  SEO:
    display: SEO
    sections:
      -
        fields:
          -
            handle: seo
            field:
              type: seo_pro
              listable: false
              display: SEO
              localizable: false
